﻿#language: ru

Функционал: Создание документа Распределение материалов

Сценарий: Создание документа Распределение материалов
	Дано Я переключаюсь на открытый клиент "milk_prod_Мастер сырцеха"
	И В командном интерфейсе я выбираю 'Производство' 'Распределения материалов'
	Тогда открылось окно 'Распределения материалов'
	И я нажимаю на кнопку 'Создать'
	Тогда открылось окно 'Распределение материалов (создание)'
	И в поле 'Дата смены' я ввожу текст '01.11.2018'
	И в поле 'от' я ввожу текст '01.11.2018 17:25:26'
	И я нажимаю кнопку выбора у поля "Смена"
	Тогда открылось окно 'Смены'
	И я нажимаю на кнопку 'Выбрать'
	Тогда открылось окно 'Распределение материалов (создание) *'
	И я нажимаю кнопку выбора у поля "Рабочий центр"
	Тогда открылось окно 'Рабочие центры'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' |
		| 'milk_prod_Сырцех'       |
	И я нажимаю на кнопку 'Выбрать'
	Тогда открылось окно 'Распределение материалов (создание) *'
	И я перехожу к закладке "Распределение материалов"
	И в таблице "РаспределениеМатериалов" я нажимаю на кнопку 'Добавить'
	И в таблице "РаспределениеМатериалов" я активизирую поле "Номенклатура"
	И в таблице "РаспределениеМатериалов" я нажимаю кнопку выбора у реквизита "Номенклатура"
	Тогда открылось окно 'Номенклатура'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' |
		| 'milk_prod_Смесь 50%'    |
	И я нажимаю на кнопку 'Выбрать'
	Тогда открылось окно 'Распределение материалов (создание) *'
	И в таблице "РаспределениеМатериалов" я активизирую поле "Серия"
	И в таблице "РаспределениеМатериалов" я нажимаю кнопку выбора у реквизита "Серия"
	Тогда открылось окно 'Серии номенклатуры'
	И в таблице "Список" я перехожу к строке:
		| 'Дата выпуска' | 'Номер' |
		| '15.02.2019'   | '1'     |
	И я нажимаю на кнопку 'Выбрать'
	Тогда открылось окно 'Распределение материалов (создание) *'
	И в таблице "РаспределениеМатериалов" я активизирую поле "Количество"
	И в таблице "РаспределениеМатериалов" в поле 'Количество' я ввожу текст '25,000'
	И в таблице "РаспределениеМатериалов" я завершаю редактирование строки
	И в таблице "РаспределениеМатериалов" я активизирую поле "Номенклатура продукции"
	И в таблице "РаспределениеМатериалов" я нажимаю кнопку выбора у реквизита "Номенклатура продукции"
	Тогда открылось окно 'Номенклатура'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'   |
		| 'milk_prod_Российский 50%' |
	И я нажимаю на кнопку 'Выбрать'
	Тогда открылось окно 'Распределение материалов (создание) *'
	И в таблице "РаспределениеМатериалов" я активизирую поле "Характеристика продукции"
	И в таблице "РаспределениеМатериалов" я нажимаю кнопку выбора у реквизита "Характеристика продукции"
	Тогда открылось окно 'Характеристики номенклатуры'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'   |
		| 'Варка' |
	И я нажимаю на кнопку 'Выбрать'
	Тогда открылось окно 'Распределение материалов (создание) *'
	И в таблице "РаспределениеМатериалов" я завершаю редактирование строки
	И в таблице "РаспределениеМатериалов" я активизирую поле "Серия продукции"
	И в таблице "РаспределениеМатериалов" я выбираю текущую строку
	И в таблице "РаспределениеМатериалов" я нажимаю кнопку выбора у реквизита "Серия продукции"
	Тогда открылось окно 'Серии номенклатуры'
	И в таблице "Список" я перехожу к строке:
		| 'Дата выпуска' | 'Наименование' | 'Номер' |
		| '01.11.2018'   | '01.11.2018/2' | '2'     |
	И я нажимаю на кнопку 'Выбрать'
	Тогда открылось окно 'Распределение материалов (создание) *'
	И в таблице "РаспределениеМатериалов" я завершаю редактирование строки
	И в таблице "РаспределениеМатериалов" я активизирую поле "Спецификация продукции"
	И в таблице "РаспределениеМатериалов" я выбираю текущую строку
	И в таблице "РаспределениеМатериалов" я нажимаю кнопку выбора у реквизита "Спецификация продукции"
	Тогда открылось окно 'Ресурсные спецификации'
	И я нажимаю на кнопку 'Выбрать'
	Тогда открылось окно 'Распределение материалов (создание) *'
	И я перехожу к закладке "Основное"
	И в таблице "РаспределениеМатериалов" я завершаю редактирование строки
	И в таблице "РаспределениеМатериалов" я перехожу к строке:
		| 'N' | 'Серия'             | 'Серия продукции'   | 'Характеристика'    | 'Характеристика продукции' |
		| '1' | '<не используются>' | '<не используются>' | '<не используются>' | '<не используются>'        |
	И я выбираю пункт контекстного меню с именем 'РаспределениеМатериаловКонтекстноеМенюУдалить' на элементе формы с именем "РаспределениеМатериалов"
	И я нажимаю на кнопку 'Провести и закрыть'
	И я жду закрытия окна 'Распределение материалов (создание) *' в течение 20 секунд
	Тогда открылось окно 'Распределения материалов'
	И Я закрываю окно 'Распределения материалов'